# coding: utf-8

"""
    FastAPI

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: 0.1.0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from openapi_client.models.session import Session

class TestSession(unittest.TestCase):
    """Session unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> Session:
        """Test Session
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `Session`
        """
        model = Session()
        if include_optional:
            return Session(
                id = '5eb7cf5a86d9755df3a6c593',
                events = [
                    openapi_client.models.event.Event(
                        operation = 'upload', 
                        path = '', 
                        target_path = '', 
                        metadata = [
                            [
                                ''
                                ]
                            ], 
                        ticket = '', 
                        profile_tags = {
                            'key' : ''
                            }, )
                    ],
                lifetime = 56,
                access = 'private',
                participants = [
                    '5eb7cf5a86d9755df3a6c593'
                    ],
                profiles = [
                    openapi_client.models.profile.Profile(
                        tag = '', 
                        username = '', 
                        secret = '', 
                        secret_type = 'password', 
                        auth_scheme = 'native', 
                        endpoint = null, 
                        metadata = {
                            'key' : null
                            }, )
                    ],
                provenance = [
                    ''
                    ],
                code = '',
                status = 'active',
                data_user = '5eb7cf5a86d9755df3a6c593',
                create_ts = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'),
                modify_ts = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f')
            )
        else:
            return Session(
                id = '5eb7cf5a86d9755df3a6c593',
                status = 'active',
                data_user = '5eb7cf5a86d9755df3a6c593',
                create_ts = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'),
                modify_ts = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'),
        )
        """

    def testSession(self):
        """Test Session"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
